Package com.apple.foundationdb.directory

## Class DirectoryMoveException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.apple.foundationdb.directory.DirectoryMoveException

All Implemented Interfaces:
  `java.io.Serializable`

    public class DirectoryMoveException
    extends java.lang.RuntimeException

An `Exception` that is thrown when an invalid directory move is attempted.

See Also:
  Serialized Form

### Field Summary

Fields
`java.util.List<java.lang.String>` `destPath` The path that the directory was being moved to.
`java.util.List<java.lang.String>` `sourcePath` The path of the directory being moved.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### sourcePath

    public final java.util.List<java.lang.String> sourcePath

The path of the directory being moved.

#### destPath

    public final java.util.List<java.lang.String> destPath

The path that the directory was being moved to.